Subject: Re: [PATCH net-next 2/2] net: phy: add keep_data_connection to struct phydev

From: Jakub Kicinski <[email-masked]>
Date: Fri, 28 Jul 2023 08:11:10 -0700

On Fri, 28 Jul 2023 11:48:36 +0200 Andrew Lunn wrote:
> > > All of this is usually in FW so we should be able to shape the
> > > implementation in the way we want...
> > >   
> > We certainly can do all phy operations in Fw when we are using NCSI.  
> 
> I would actually prefer Linux does it, not firmware. My personal
> preference is also Linux driver the hardware, since it is then
> possible for the community to debug it, extend it with new
> functionality, etc. Firmware is a black box only the vendor can do
> anything with.

Just to be clear, my comment was more about NCSI commands (which
I don't think should be handled by the host), not PHY control.